@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap');
*
{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
  scroll-behavior: smooth;
}

:root
{
  --black: #333;
  --black2: #333;
  --white: #fff;
  --white2: #fff;
}

.dark
{
  --black: #fff;
  --black2: #444;
  --white: #333;
  --white2: #444;
}

body
{
  overflow-x: hidden;
}

.container
{
  position: relative;
  width: 100%;
}

.navigation
{
  position: fixed;
  width: 300px;
  height: 100%;
  border-right: 1px solid rgba(0, 0, 0, 0.05);
  background: var(--white2);
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  transition: width 0.5s left 0.5s;
}

.dark .navigation
{
  border-right: 1px solid rgba(255, 255, 255, 0.2);
}

.navigation.active
{
  width: 0;
}

.navigation ul
{
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  padding: 20px 40px;
}

.navigation ul li
{
  position: relative;
  width: 100%;
  list-style: none;
}

.navigation ul li a
{
  position: relative;
  display: block;
  width: 100%;
  margin: 10px 0;
  white-space: normal;
  display: flex;
  text-transform: uppercase;
  text-decoration: none;
  color: var(--black);
  font-weight: 500;
  letter-spacing: 2px;
  opacity: 0.5;
}

.navigation ul li a:hover
{
  opacity: 1;
}

.main 
{
  position: absolute;
  width: calc(100% - 300px);
  left: 300px;
  background: var(--white);
  min-height: 100vh;
  transition: width 0.5s, left 0.5s;

}

.main.active
{
  width: calc(100% - 0px);
  left: 0;
}

.main .topbar
{
  position: fixed;
  top: 0;
  width: calc(100% - 300px);
  left: 300px;
  /* background: red; */
  background: var(--white2);
  border-bottom: 1px solid rgba(0, 0, 0, 0.05);
  height: 60px;
  padding: 0 40px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 10000;
  transition: width 0.5s, left 0.5s;
}

.dark .main .topbar
{
  border-bottom: 1px solid rgba(255, 255, 255, 0.2);
}

.main .topbar.active
{
  width: calc(100% - 0px);
  left: 0;
}

.main .topbar .logo
{
  color: var(--black);
  font-weight: 700;
  text-decoration: none;
  font-size: 1.4em;
  text-transform: uppercase;
  letter-spacing: 1px;
}

.main .topbar .toggle
{
  position: relative;
  /* background: tomato; */
  width: 60px;
  height: 60px;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 24px;
  color: var(--black);
}

section
{
  position: relative;
  min-height: 100vh;
}

.banner
{
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 20px;
}

.banner .content
{
  display: flex;
  /* background: red; */
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.banner .imgBx
{
  position: relative;
  width: 300px;
  height: 300px;
  overflow: hidden;
  border-radius: 50%;
  margin-bottom: 20px;
}

.banner .imgBx img
{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

h3
{
  position: relative;
  font-size: 1.4em;
  color: var(--black);
  letter-spacing: 2px;
  text-transform: uppercase;
}

p
{
  color: #777;
}

.dark p
{
  color: var(--black);
}

.btn
{
  position: relative;
  display: inline-block;
  padding: 10px 30px;
  background: var(--black2);
  color: #fff;
  font-weight: 400;
  letter-spacing: 1px;
  margin-top: 10px;
  text-decoration: none;
}

.dark .btn:hover
{
  background: #2196f3;
}

.socialMedia
{
  position: absolute;
  bottom: 20px;
  display: flex;
  flex-direction: row;
}

.socialMedia li
{
  list-style: none;
}

.socialMedia li a 
{
  display: inline-block;
  width: 40px;
  height: 40px;
  background: rgba(0,0,0,0.05);
  /* border: 1px solid salmon; */
  margin: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  color: var(--black);
  font-size: 1.2em;
}

.dark .socialMedia li a:hover
{
  background: #2196f3;
}

.socialMedia li a:hover
{
  background: var(--black2);
  color: var(--white);
}

.adjust
{
  position: relative;
  min-height: 100vh;
  width: 100%;
  padding: 0 40px;
  padding-top: 80px;
  background: var(--white);
  color: var(--black);
  display: inline-block;
}

.title
{
  width: 100%;
  text-align: center;
}

.title h2
{
  position: relative;
  text-transform: uppercase;
  letter-spacing: 2px;
  font-size: 1.2em;
  margin-bottom: 30px;
}

.title h2::before
{
  content: '';
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: -10px;
  width: 50px;
  height: 1px;
  background: var(--black);
}

.about .content
{
  /* background: red; */
  display: flex;
  justify-content: space-between;
  margin-top: 40px;
  background-image: url('img/pexels-jéshoots-238118.jpg');
  background-size: cover;
  background-repeat: no-repeat;
}

.about .content .textBx
{
  /* background: red; */
  width: 49%;
  min-width: 49%;
  padding: 50px;
}

.about .content .textBx q 
{
  color: #777;
  font-style: italic;
  font-size: 1.2rem;
}

.about .content .imgBx
{
  margin-left: 40px;
}

.about .content .imgBx img 
{
  display: none;
  max-width: 100%;
}

.services .content
{
  display: grid;
  grid-template-columns: repeat(3,1fr);
  grid-gap: 20px;
  margin: 40px 0;
}

.services .content .serviceBox
{
  /* background: tomato; */
  border: 1px solid rgba(0, 0, 0, 0.05);
  padding: 50px 20px;
  display: flex;
  flex-direction: column;
  background: var(--white2);
  justify-content: center;
  align-items: center;
}

.dark .services .content .serviceBox:hover
{
  background: #2196f3;
}

.services .content .serviceBox img
{
  max-height: 50px;
}

.dark .services .content .serviceBox img
{
  filter: invert(1);
}

.services .content .serviceBox h2
{
  font-size: 1.1em;
  margin-top: 20px;
  margin-bottom: 10px;
  font-weight: 600;
  color: var(--black);
  text-align: center;
  letter-spacing: 2px;
  text-transform: uppercase;
}

.services .content .serviceBox p 
{
  text-align: center;
}

.project .content
{
  display: grid;
  grid-template-columns: repeat(3,1fr);
  grid-gap: 20px;
  margin: 40px 0;
}

.project .content .workBx
{
  position: relative;
  width: 100%;
  height: 300px;
  overflow: hidden;
}

.project .content .workBx .imgBx
{
  position: relative;
  width: 100%;
  height: 100%;
  transform: translateY(0);
  transition: all 0.5s ease-in-out;
}

.project .content .workBx:hover .imgBx
{
  transform: translateY(-100%);
}

.project .content .workBx .imgBx img 
{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.project .content .workBx .textBx
{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--black);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  transform: translateY(100%);
  transition: all 0.5s ease-in-out;
}

.dark .project .content .workBx .textBx
{
  background: #444;
}

.project .content .workBx:hover .textBx
{
  transform: translateY(0);
}

.project .content .workBx .textBx h3 
{
  color: #fff;
  font-size: 1em;
}

.link_project
{
  display: flex;
  justify-content: space-between;
  margin-top: 10px;
}

.project .content .workBx .textBx a 
{
  display: inline-block;
  width: 40px;
  height: 40px;
  background: var(--white);
  /* border: 1px solid salmon; */
  margin: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  color: var(--black);
  font-size: 1.2em;
  border-radius: 20%;
}

.dark .project .content .workBx .textBx a:hover
{
  background: #2196f3;
}

.project .content .workBx .textBx a:hover
{
  background: #2196f3;
  color: var(--white);
}



.contact
{
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.contact .contactForm
{
  position: relative;
  width: 100%;
  max-width: 700px;
  margin-top: 20px;
}

.contact .contactForm .row
{
  width: 100%;
  display: grid;
  grid-template-columns: repeat(2,1fr);
  grid-gap: 20px;
  margin-top: 20px;
  
}

.contact .contactForm .row2
{
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 20px;
  
}

.contact .contactForm .row input,
.contact .contactForm .row2 textarea
{
  width: 100%;
  padding: 10px;
  border: none;
  outline: none;
  color: var(--black);
  background: var(--white2);
  font-size: 16px;
  border: 1px solid rgba(0, 0, 0, 0.05);
}

.contact .contactForm .row2 textarea
{
  resize: none;
  height: 200px;
}

.contact .contactForm .row2 input[type="submit"]
{
  background: var(--black2);
  color: #fff;
  padding: 10px 30px;
  display: inline-block;
  font-weight: 500;
  letter-spacing: 2px;
  cursor: pointer;
  font-size: 16px;
  text-transform: uppercase;
  max-width: 150px;
  border: none;
}

.dark .contact .contactForm .row2 input[type="submit"]
{
  background: #2196f3;
}

.copyright
{
  position: relative;
  bottom: 0;
  margin-top: 50px;
  padding: 10px 40px;
  text-align: center;
  
}

/* -----Dark and Light mode switch----- */

.themeSwitch
{
  position: absolute;
  bottom: 30px;
  left: 40px;
  width: 30px;
  height: 30px;
  background: var(--black);
  color: var(--white);
  cursor: pointer;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.themeSwitch::before
{
  content: '\f186';
  font-family: fontAwesome;
}

.dark .themeSwitch::before
{
  content: '\f185';
  font-family: fontAwesome;
}

.themeSwitch::after
{
  content: 'Cambiar al modo Oscuro';
  position: absolute;
  left: 40px;
  font-size: 0.7em;
  color: var(--black);
  white-space: nowrap;
  font-weight: 300;
  letter-spacing: 1px;
  pointer-events: none;
}

.dark .themeSwitch::after
{
  content: 'Cambiar al modo Claro';
}

/* Responsive */
@media (max-width: 992px)
{

  .themeSwitch
  {
    left: 20px;
  }

  .navigation
  {
    left: -100%;
  }

  .navigation.active
  {
    width: 100%;
    left: 0;
  }

  .main
  {
    width: 100%;
    left: 0;
  }

  .main.active
  {
    left: 100%;
  }

  .main .topbar
  {
    width: 100%;
    left: 0;
    padding: 0 20px;
  }

  .navigation ul 
  {
    padding: 20px;
  }

  .banner .imgBx
  {
    width: 250px;
    height: 250px;
  }

  .banner h3, .banner p 
  {
    text-align: center;
  };

  .adjust
  {
    padding: 0 20px;
    padding-top: 80px;
  }

  .about .content
  {
    flex-direction: column;
    background: transparent;
  }

.about .content .imgBx img 
{
  display: block;
  max-width: 100%;
}

  .about .content .textBx
  {
    width: 100%;
    min-width: 100%;
  }

  .about .content .imgBx
  {
    margin-left: 0;
    margin-top: 20px;
  }

  .services .content
  {
    grid-template-columns: repeat(2,1fr);
  }

  .project .content
  {
    grid-template-columns: repeat(2,1fr);
  }
}

@media (max-width: 767px)
{
  .services .content
  {
    grid-template-columns: repeat(1,1fr);
  }

  .project .content
  {
    grid-template-columns: repeat(1,1fr);
  }

  .testimonials .content
  {
    grid-template-columns: repeat(1,1fr);
  }

  .contact .contactForm .row
  {
    grid-template-columns: repeat(1,1fr);
  }

  .copyright
  {
    padding: 10px 20px;
  }
}